Crypt::OpenSSL::DSA::Signature(3)

NAME
  Crypt::OpenSSL::DSA::Signature - Digital Signature Object

SYNOPSIS
  use Crypt::OpenSSL::DSA;
  my $dsa_priv = Crypt::OpenSSL::DSA->read_priv_key( $filename );
  my $sig_obj = $dsa_priv->do_sign($message);
  my $dsa_pub = Crypt::OpenSSL::DSA->read_pub_key( $filename );
  my $valid = $dsa_pub->do_verify($message, $sig_obj);
  my $sig_size = $dsa_priv->get_sig_size();

  my $r = $sig_obj->get_r;
  my $s = $sig_obj->get_s;

  my $sig_obj2 = Crypt::OpenSSL::DSA::Signature->new();
  $sig_obj2->set_r($r);
  $sig_obj2->set_s($s);
  my $valid = $dsa_pub->do_verify($message, $sig_obj2);

CLASS METHODS

$sig_obj = Crypt::OpenSSL::DSA::Signature->new();
    Create a new DSA Signature Object. You will need to call set_r and set_s after you create this.

OBJECT METHODS

$r = $sig_obj->get_r;
    Gets first member of signature pair.

$s = $sig_obj->get_s;
    Gets second member of signature pair.

$r = $sig_obj->set_r;
    Sets first member of signature pair.

$s = $sig_obj->set_s;
    Sets second member of signature pair.

AUTHOR
T.J. Mather, <tjmather@maxmind.com>

SEE ALSO
Crypt::OpenSSL::DSA